## python-funcy 1.17

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo
	@echo "Build finished. The coverage pages are in $(BUILDDIR)/coverage."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/funcy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/funcy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/funcy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/funcy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
Sphinx==4.3.0
sphinx-rtd-theme==0.5.1

=== debian/changelog ===
python-funcy (1.17-1) unstable; urgency=medium

  * [53ceecc] New upstream version 1.17
  * [3c56359] Drop patch queue
  * [f5a3e65] d/control: Remove obsolet Testsuite entry

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 Dec 2021 20:00:52 +0100

python-funcy (1.16-1) unstable; urgency=medium

  * [a6a7d95] d/control: Update Standards-Version to 4.6.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Oct 2021 10:13:59 +0200

python-funcy (1.16-1~exp1) experimental; urgency=medium

  * [3f0421c] New upstream version 1.16
  * [3a95adc] First and basic Debianization (Closes: #989811)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Jun 2021 20:07:58 +0200

=== debian/control ===
Source: python-funcy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-funcy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-funcy.git
Homepage: https://github.com/Suor/funcy

Package: python-funcy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Collection of fancy functional tools focused on practicality (Documentation)
 Funcy is designed to be a layer of functional tools over Python.
 It provides some possible often wanted functionality like:
  * Merge collections of same type (works for dicts, sets, lists, tuples,
    iterators and even strings).
  * Walk through collection, creating its transform (like map but preserves
    type).
  * Select a part of collection.
  * Manipulate sequences.
  * And functions.
  * CreAbstract control flowate decorators easily.
  * Abstract control flow.
  * Ease debugging.
 .
 This package contains the documentation.

Package: python3-funcy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Collection of fancy functional tools focused on practicality (Python3 version)
 Funcy is designed to be a layer of functional tools over Python.
 It provides some possible often wanted functionality like:
  * Merge collections of same type (works for dicts, sets, lists, tuples,
    iterators and even strings).
  * Walk through collection, creating its transform (like map but preserves
    type).
  * Select a part of collection.
  * Manipulate sequences.
  * And functions.
  * CreAbstract control flowate decorators easily.
  * Abstract control flow.
  * Ease debugging.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=funcy
export PYBUILD_DISABLE=test
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-funcy-doc/usr/share/doc/python-funcy-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

## python-funcy 1.18

=== debian/changelog ===
python-funcy (1.18-1) unstable; urgency=medium

  * [5321b73] New upstream version 1.18

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 12:20:02 +0100

python-funcy (1.17-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [d38e3fc] Apply multi-arch hints. + python-funcy-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:09:39 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ python3-doc <!nodoc>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-funcy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-funcy.git
 Homepage: https://github.com/Suor/funcy
@@ -24,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Collection of fancy functional tools focused on practicality (Documentation)
  Funcy is designed to be a layer of functional tools over Python.
  It provides some possible often wanted functionality like:
@@ -45,6 +48,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python-funcy-doc,
 Description: Collection of fancy functional tools focused on practicality (Python3 version)
  Funcy is designed to be a layer of functional tools over Python.
  It provides some possible often wanted functionality like:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=funcy
export PYBUILD_DISABLE=test
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-funcy-doc/usr/share/doc/python-funcy-doc/html
	dh_sphinxdoc
endif

## python-funcy 2.0

=== debian/changelog ===
python-funcy (2.0-2) unstable; urgency=medium

  * Upload to unstable
  * [071ceb7] d/control: Add Built-Using to -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2023 12:47:44 +0200

python-funcy (2.0-1) experimental; urgency=medium

  * [76602f8] d/gbp.conf: Filter out potential diff rubish
  * [6535d1a] New upstream version 2.0
  * [243d430] d/rules: Drop PYBUILD_SYSTEM=distutils
  * [39694b4] d/README.source: Add info about upstream tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Apr 2023 19:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,8 @@
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Multi-Arch: foreign
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Collection of fancy functional tools focused on practicality (Documentation)
  Funcy is designed to be a layer of functional tools over Python.
  It provides some possible often wanted functionality like:

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 export PYBUILD_NAME=funcy
 export PYBUILD_DISABLE=test
-export PYBUILD_SYSTEM=distutils
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
# watch file for funcy

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-funcy-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/Suor/funcy.git \
      refs/tags/(\d+\.\d+|\d+\.\d+\.\d+)
